playerc_ptz_t Struct Reference
ptz

PTZ device data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
double | pan
| The current ptz pan and tilt angles. More...
double | tilt
double | zoom
| The current zoom value (field of view angle). More...
int | status
| The current pan and tilt status.

## Detailed Description

PTZ device data.

## Member Data Documentation

playerc_device_t playerc_ptz_t::info

Device info; must be at the start of all device structures.

double playerc_ptz_t::pan

The current ptz pan and tilt angles.

pan : pan angle (+ve to the left, -ve to the right). tilt : tilt angle (+ve upwrds, -ve downwards).

double playerc_ptz_t::zoom

The current zoom value (field of view angle).

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45